<?php
    ini_set('max_execution_time', 1000);
    ini_set('session.gc_maxlifetime', 3600); // server should keep session data for AT LEAST 24 minutes
    session_set_cookie_params(3600); // each client should remember their session id for EXACTLY 24 minutes    
    session_start(); // Starting Session
    date_default_timezone_set("Asia/Bangkok"); // set time zone to GMT+7
    $now = time();
    if (isset($_SESSION['discard_after']) && $now > $_SESSION['discard_after']) {
        // this session has worn out its welcome; kill it and start a brand new one
        session_unset();
        session_destroy();
        session_start();
    }    
    $_SESSION['discard_after'] = $now + 3600; // either new or old, it should live at most for another 24 minutes
    // ===============================================================================================================
    // if there is no activity for more than 600 seconds (10 minutes) 
    // the request is redirected to the logout page which would successfully log out the user.
    $inactive = 3600;
    // check to see if $_SESSION["timeout"] is set
    if (isset($_SESSION["timeout"])) 
    {
        // calculate the session's "time to live"
        $sessionTTL = time() - $_SESSION["timeout"];    
        if ($sessionTTL > $inactive) {
            session_destroy();
        }
    }
    $_SESSION["timeout"] = time();
    include 'dbaccess.php';    
    
// ============================================================================================================== 
// Index Home   
    
    function RETURN_RESULT_PERIODE_LAST($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_period FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_period FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_period'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_DATE($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_date FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_date FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_date'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_DATE_NEXT() {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        
        $sql_string = "SELECT result_draw_date FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT 0,1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_date'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A1($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_a1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_a1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A2($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_a2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_a2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A3($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_a3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_a3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B1($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B2($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B3($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B4($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b4'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B5($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b5'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B6($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b6'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B7($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b7'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B8($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b8'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B9($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b9'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B10($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_b10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_b10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b10'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C1($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C2($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C3($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C4($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c4'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C5($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c5'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C6($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c6'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C7($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c7'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C8($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c8'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C9($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c9'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C10($pastresultdate,$startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_draw_c10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_draw_c10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c10'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_JACKPOT_LAST($pastresultdate,$startrecord) {
        $result_value = 0;
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($pastresultdate == '') {
            $sql_string = "SELECT result_jackpot FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        } else {
            $sql_string = "SELECT result_jackpot FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 AND result_draw_date <= '" . $pastresultdate . "' ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        }
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_jackpot'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
// ==============================================================================================================
// Past Result
    
    if (isset($_POST['btnsearch'])) {
        $_SESSION['pastresultsearchDay'] = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,"searchday",FILTER_SANITIZE_NUMBER_INT));
        $_SESSION['pastresultsearchMonth'] = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,"searchmonth",FILTER_SANITIZE_NUMBER_INT));
        $_SESSION['pastresultsearchYear'] = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,"searchyear",FILTER_SANITIZE_NUMBER_INT));
        header('Location: pastresults.php');
    }
// ==============================================================================================================
// Contact Us
    
    function ADD_CONTACT_US($contact_us_name,$contact_us_email,$contact_us_message) {
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "INSERT INTO `" . DB_NAME . "`.`tbl-contact-us`
                        (
                        `contact_us_name`,
                        `contact_us_email`,
                        `contact_us_message`
                        )
                        VALUES
                        (
                        '" . $contact_us_name . "',
                        '" . $contact_us_email . "',
                        '" . $contact_us_message . "'
                        );";
        // echo $sql_string; die();
        // mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        return $result;
    }
    
    if (isset($_POST['btnsubmit'])) {
        include_once 'systemsecureimage/securimage.php';
        $securimage = new Securimage();
        if ($securimage->check($_POST['contact_us_captcha']) == false) {
            header('Location: contactus.php?status=captcha');
        } else {
            $contact_us_name = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,"contact_us_name",FILTER_SANITIZE_STRING));
            $contact_us_email = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,"contact_us_email",FILTER_SANITIZE_EMAIL));
            $contact_us_message = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,"contact_us_message",FILTER_SANITIZE_STRING));
            if (! ADD_CONTACT_US($contact_us_name,$contact_us_email,$contact_us_message)) {
                header('Location: contactus.php?status=failed');
            } else {
                header('Location: contactus.php?status=success');
            }
        }
    }
// ==============================================================================================================
// Live Draw
    
    function RETURN_RESULT_PERIODE_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_period FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_period'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_DATE_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_date FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_date'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A1_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_a1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A2_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_a2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A3_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_a3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B1_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B2_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B3_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B4_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b4'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B5_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b5'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B6_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b6'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B7_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b7'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B8_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b8'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B9_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b9'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B10_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b10'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C1_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C2_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');        
        $sql_string = "SELECT result_draw_c2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C3_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C4_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c4'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C5_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c5'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C6_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c6'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C7_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c7'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C8_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c8'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C9_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c9'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C10_CURRENT($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c10'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_DATE_CURRENT_STOP($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT AddTime(result_draw_date, '" . LIVE_DRAW_SHOW . "') AS Live_Draw_Finish_Time FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 0 ORDER BY result_draw_date ASC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['Live_Draw_Finish_Time'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function CHECK_LIVE_DRAW_TIME($Current_Server_Time) {
        $result = false;        
        if (strtotime($Current_Server_Time) >= strtotime(RETURN_RESULT_DRAW_DATE_CURRENT(0)) AND strtotime($Current_Server_Time) <= strtotime(RETURN_RESULT_DRAW_DATE_CURRENT_STOP(0))) {
            $result = true;
        }
        return $result;
    }
// ==============================================================================================================
    // Previous Live Draw
    
    function RETURN_RESULT_PERIODE_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_period FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_period'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_DATE_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_date FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_date'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A1_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_a1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A2_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_a2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_A3_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_a3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_a3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B1_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B2_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B3_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B4_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b4'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B5_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b5'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B6_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b6'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B7_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b7'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B8_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b8'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B9_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b9'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_B10_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_b10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_b10'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C1_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c1'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C2_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');        
        $sql_string = "SELECT result_draw_c2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c2'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C3_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c3'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C4_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c4'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C5_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c5'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C6_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c6'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C7_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c7'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C8_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c8'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C9_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c9'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }
    
    function RETURN_RESULT_DRAW_C10_PREVIOUS($startrecord) {
        $result_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_draw_c10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_draw_date DESC LIMIT " . $startrecord . ",1;";
        // echo $sql_string; die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $result_value;
        } else {
            $result_value = $data['result_draw_c10'];            
            mysqli_close($db_conn);
            return $result_value;
        }
    }        
    
// ==============================================================================================================
    // PAST RESULTS LIST
    
    function RETURN_TABLE_RESULT_TOTAL_ROWS($dayofweek) {
        $total_rows = 0;
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($dayofweek == 0) {
            $sql_string = "SELECT count(result_id) as total_rows FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1;";
        } else {
            $sql_string = "SELECT count(result_id) as total_rows FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND DAYOFWEEK(result_date)=" . $dayofweek . ";";
        }
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $total_rows;
        } else {
            $total_rows = $data['total_rows'];            
            mysqli_close($db_conn);
            return $total_rows;
        }
    }
    
    function RETURN_TABLE_RESULT_TOTAL_ROWS1($month,$year) {
        $total_rows = 0;
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT count(result_id) as total_rows FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND MONTH(result_draw_date)=" . $month . " AND YEAR(result_draw_date)=" . $year . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $total_rows;
        } else {
            $total_rows = $data['total_rows'];            
            mysqli_close($db_conn);
            return $total_rows;
        }
    }
    
    function RETURN_TABLE_RESULT_ID($dayofweek, $rownumber) {
        $return_value = 0;
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        if ($dayofweek == 0) {
            $sql_string = "SELECT result_id FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 ORDER BY result_id DESC LIMIT " . $rownumber . ",1;";
        } else {
            $sql_string = "SELECT result_id FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND DAYOFWEEK(result_draw_date)=" . $dayofweek . " ORDER BY result_id DESC LIMIT " . $rownumber . ",1;";
        }
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_id'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_ID1($month,$year,$rownumber) {
        $return_value = 0;
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');
        $sql_string = "SELECT result_id FROM `" . DB_NAME . "`.`tbl-result` WHERE result_status = 1 AND MONTH(result_draw_date)=" . $month . " AND YEAR(result_draw_date)=" . $year . " ORDER BY result_id DESC LIMIT " . $rownumber . ",1;";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_id'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_DATE($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_date FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_date'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_A1($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_a1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_a1'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_A2($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_a2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_a2'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_A3($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_a3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_a3'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B1($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b1'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B2($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b2'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B3($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b3'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B4($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b4'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B5($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b5'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B6($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b6'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B7($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b7'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B8($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b8'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B9($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b9'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_B10($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_b10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_b10'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C1($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c1 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c1'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C2($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c2 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c2'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C3($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c3 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c3'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C4($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c4 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c4'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C5($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c5 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c5'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C6($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c6 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c6'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C7($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c7 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c7'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C8($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c8 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c8'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C9($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c9 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c9'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_NUMBER_C10($result_id) {
        $return_value = '';
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_draw_c10 FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_draw_c10'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }
    
    function RETURN_TABLE_RESULT_PRIZE($result_id) {
        $return_value = 0;
        $db_conn = mysqli_connect(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME) or die('Error connecting to Database Server.');

        $sql_string = "SELECT result_jackpot FROM `" . DB_NAME . "`.`tbl-result` WHERE result_id = " . $result_id . ";";
        // echo $sql_string;die();
        mysqli_query($db_conn, $sql_string) or die('Error querying database.');    
        $result = mysqli_query($db_conn, $sql_string);
        $data = mysqli_fetch_assoc($result);
        $row = mysqli_num_rows($result);        
        if (!$result || $row <= 0) {
            mysqli_close($db_conn);
            return $return_value;
        } else {
            $return_value = $data['result_jackpot'];            
            mysqli_close($db_conn);
            return $return_value;
        }
    }

// ==============================================================================================================
// ==============================================================================================================    